unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, RichMemo, win32richmemo;

type

  { TForm1 }

  TForm1 = class(TForm)
    PageMemo: TRichMemo;
    procedure PageMemoClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.PageMemoClick(Sender: TObject);
var
  QryText : WideString;
  WC      : WideChar;
  lang    : string;
begin
  PageMemo.SelLength:=1;
  QryText :=UTF8Decode(PageMemo.SelText);
  if QryText<>'' then begin
    WC:=QryText[1];
    case wc of
      #$0590..#$05FF:
        lang:='hebrew';
      #$0700..#$074F:
        lang:='syriac';
      #$1F00..#$1FFF,  // this is (modern?) greek
      #$0370..#$03FF:  // this is greek and coptic
         lang:='greek';
    else
      lang:='';
    end;

    if lang<>'' then
      Caption:=IntToHex(Word(WC),4)+' '+lang
    else
      Caption:=IntToHex(Word(WC),4);
  end else
    Caption:='no text?';
end;

end.

